petsc-3.4.2 2013-07-02

# DMMeshAssembleMatrixDM

Insert values into a matrix

### Synopsis

    #include "petscdmmesh.h"
    PetscErrorCode DMMeshAssembleMatrixDM(Mat A, DM dm, SectionReal section, PetscInt e, PetscScalar v[], InsertMode mode)

Collective on A

### Input Parameters

| A | - the matrix
| dm | - DMMesh needed for orderings
| section | - A Section which describes the layout
| e | - The element
| v | - The values
| mode | - either ADD_VALUES or INSERT_VALUES, where ADD_VALUES adds values to any existing entries, and INSERT_VALUES replaces existing entries with new values

### See Also

MatSetOption()

Level:beginner
Location:src/dm/impls/mesh/mesh.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages